spring:
  cloud:
    inetutils:
      preferred-networks:
        - 192.168
  data:
    mongodb:
      uri: mongodb://admin:admin123@192.168.0.104:37047,192.168.0.104:47037,192.168.0.104:37027/fullcard?replicaSet=rs
#      uri: mongodb://root:8756mongo2024@172.24.50.53:27017,172.24.50.53:27018,172.24.50.53:27019/fullcard?authSource=admin
      auto-index-creation: true
    redis:
      host: 127.0.0.1
      port: 6378
#      password: 8756redis2024
      database: 7
      timeout: 5000
      lettuce:
        pool:
          max-active: 32 # 最大连接
          max-idle: 16   # 最大空闲连接
          min-idle: 8   # 最小空闲连接
          max-wait: 100ms # 连接等待时间

# c端的小程序配置 （学生端）
cwechat:
  appid: wx3be1d6d84d46cdf7
  secret: 4401df45d409cbf28560e87c4c21b4bf

# 商户端的小程序配置
swechat:
  appid: wx3be1d6d84d46cdf7
  secret: 4401df45d409cbf28560e87c4c21b4bf

springdoc:
  api-docs:
    # 是否开启接口文档
    enabled: true
  swagger-ui:
    # 持久化认证数据，如果设置为 true，它会保留授权数据并且不会在浏览器关闭/刷新时丢失
    persistAuthorization: true

oAuth:
  clientId: test
  clientSecret: 123456

# 阿里云OSS
oss:
  maxCacheMinutes: 10
  maxCacheCount: 100
  _other:
    host: https://oss.dev.zonelife.cn/
  _type: ALiObjectStorage
  endpoint: oss-cn-chengdu.aliyuncs.com
  bucket: zswl-dev
  accessKeyId: LTAI5tCvJccdHK17R4kYrLgy
  accessKeySecret: Vbt3NiZfi6f47vU8QcfqQIsjiFo6vH
  arn: acs:ram::1540890773231210:role/oss

#logging:
#  level:
#    org:
#      springframework:
#        web: trace
#debug: true
#trace: true

logging:
  level:
    com:
      github:
        microservice:
          core:
            runner: debug

#    org.springframework.security: trace
